Labelling - place label horizontally outside the polygon
Status: Open

Priority: Normal

Assignee:

Category: Labelling

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 21858
Description

I'm working in archaeology. And | often have to label polygon layer which has polygons not connected to each other. The best way to
label it would be to place labels horizontally, just by the edge of the polygon but OUTSIDE of the polygon. I'm attaching the sample from
other software.

History

#1 - 2015-11-15 09:05 AM - Paul Kanelli

Just use the "Move label" tool.

http://anitagraser.com/2010/11/18/new-labeling-tools-for-qgis/

#2 - 2015-11-15 09:39 AM - Darek Bobak

With hundreds of features? Manually? So what do | have a QGIS for?

#3 - 2015-11-15 10:14 AM - Paul Kanelli

| suppose you don't have to set the labels manually. Most likely there is a field calculator or PostGIS solution to set all x/y values automatically depending

of the size of the polygons.

#4 - 2015-11-15 10:18 AM - Darek Bobak

With a dense distribution of irregular shape polygons | do not see the possibility to calculate the right placement for labels with a field calculator.

#5 - 2015-11-16 04:36 AM - Giovanni Manghi

- Category set to Labelling

- Target version set to Future Release - Nice to have

#6 - 2017-05-01 12:47 AM - Giovanni Manghi
- Easy fix? set to No
